function [smooth] =BW_Filter(data,Fs,Fc)

% General Description: butter-worth filter
% 
% Input: BE CAREFUL WITH DATA ALIGNMENT TYPE
%       1. data: (row,col,layers) So, data should be organized as a ROW
%       VECTOR if it is 1D array. data of 2D vector should be aligned as a
%       Row VECTOR 
%       than 3
%       2. Fs: sample frequency
%       3. type: specify the matrix type whether it is column vector ('col) or a
%       row vector ('row').
% Output: 
%       1. approximate integral


% Fs: sample frequency
% Fc: cut-off frequency

[rows columns layers]=size(data);
Fs=Fs./2;
Fc=Fc/.802;

[B,A]=butter(4,Fc/Fs);     % 2nd order filter.

% 4th order low-pass filter, zero phase lag.

for j=1:columns
  for k=1:layers 
    smooth(:,j,k) = filtfilt(B,A,data(:,j,k));
  end
end
